aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPhil Jackson <phil@shellarchive.co.uk>2010-07-10 12:41:05 +0100
committerPhil Jackson <phil@shellarchive.co.uk>2010-07-10 12:41:05 +0100
commit8be54f67577478ce05cf68a44a377cab893e9ea0 (patch)
treef7bf42df04cb81e5c7fcc7ef537bfcd444f3bf53
parent1a9ae85faaa3bb98954a869b4204eb3d3cfef265 (diff)
Release 0.8.2.0.8.2
-rwxr-xr-xbin/mk_rel.bash22
-rw-r--r--configure.ac2
-rw-r--r--magit.el2
3 files changed, 24 insertions, 2 deletions
diff --git a/bin/mk_rel.bash b/bin/mk_rel.bash
index 3b206cc..41104a9 100755
--- a/bin/mk_rel.bash
+++ b/bin/mk_rel.bash
@@ -2,6 +2,14 @@
set -e
+function configure_ac_ver_ok {
+ cat configure.ac | grep "${1}" || return 1
+}
+
+function magit_el_ver_ok {
+ grep -e ";; Version: *$1" magit.el || return 1
+}
+
USAGE="usage: ${0##*/} <tag>"
tag="${1}"
@@ -20,6 +28,20 @@ fi
# grab that tag
git co "${tag}"
+# correct version in magit?
+if ! magit_el_ver_ok "$tag"; then
+ echo "Please set version in magit.el to $tag"
+ git co master
+ exit 1
+fi
+
+# correct version in configure.ac?
+if ! configure_ac_ver_ok "$tag"; then
+ echo "Please set AC_INIT to $tag in configure.ac"
+ git co master
+ exit 1
+fi
+
# clean up if we need to
[ -f Makefile ] && make distclean
diff --git a/configure.ac b/configure.ac
index 53eea1d..6aeb020 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,4 +1,4 @@
-AC_INIT(magit, 0.8.1)
+AC_INIT(magit, 0.8.2)
AC_CONFIG_SRCDIR([magit.el])
AM_INIT_AUTOMAKE([1.10])
diff --git a/magit.el b/magit.el
index 847b562..315e732 100644
--- a/magit.el
+++ b/magit.el
@@ -28,7 +28,7 @@
;; Author: Marius Vollmer <marius.vollmer@nokia.com>
;; Maintainer: Phil Jackson <phil@shellarchive.co.uk>
-;; Version: 0.8.1
+;; Version: 0.8.2
;; Keywords: tools
;;